input[type=text],
select {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

input[type=submit] {
    width: 100%;
    background-color: #1f2a8b;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

input[type=submit]:hover {
    background-color: #1aafc9;
}

div {
    border-radius: 5px;
    background-color: #f2f2f2;
    padding: 20px;
}

input[name=fname] {
    width: 50%;
}

input[name=propio] {
    width: 75%;
    padding: 12px 20px;
    margin: 8px 0;
    box-sizing: border-box;
}

input[name=nombrepropio] {
    border: 2px solid rgb(72, 29, 228);
    border-radius: 4px;
}

input[name=primerapellido] {
    border: none;
    border-bottom: 2px solid red;
}

input[name=primerapellido]:focus {
    outline: none;
    color: blue;
    border: none;
    border-bottom: 2px solid rgb(49, 30, 224);
}

input[name=colorfondo] {
    width: 75%;
    padding: 12px 20px;
    margin: 8px 0;
    box-sizing: border-box;
    border: #1f2a8b 2px solid;
    color: royalblue;
    background-color: aqua;
}

input[name=cambiofoco1]:focus {
    border: 3px solid #555;
}

input[name=cambiofoco1]:focus {
    background-color: lightblue;
}

input[name=icono] {
    background-color: white;
    background-image: url('lupa.png');
    background-position: 10px 10px;
    background-repeat: no-repeat;
    padding-left: 40px;
}

input[name=animada] {
    width: 50%;
    background-color: white;
    background-image: url('lupa.png');
    background-position: 10px 10px;
    background-repeat: no-repeat;
    padding-left: 40px;
    transition: width 0.4s ease-in-out;
}

input[name=animada]:focus {
    width: 100%;
    color: white;
    background-color: blue;
    background-image: url('lupa.png');
    background-position: 10px 10px;
    background-repeat: no-repeat;
    padding-left: 40px;
}

#tamaño {
    width: 100%;
    height: 100px;
    padding: 12px 20px;
    box-sizing: border-box;
    border: 2px solid #ccc;
    border-radius: 4px;
    background-color: #f8f8f8;
    font-size: 16px;
    resize: none;
}

select[name=country] {
    width: 100%;
    padding: 16px 20px;
    border: none;
    border-radius: 4px;
    background-color: #afa8ee;
}

select[name=country]:focus {
    width: 100%;
    padding: 16px 20px;
    border: none;
    border-radius: 4px;
    background-color: #1e0eb1;
}

input[type=button2],
input[type=submit2],
input[type=reset2] {
    width: 100%;
    background-color: #04AA6D;
    border: none;
    color: white;
    padding: 16px 32px;
    text-decoration: none;
    margin: 4px 2px;
    cursor: pointer;
    text-align: center;
}


/*reponsive*/

input[type=text],
select,
textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    resize: vertical;
}

label {
    padding: 12px 12px 12px 0;
    display: inline-block;
}

input[type=submit] {
    background-color: #04AA6D;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    float: right;
}

input[type=submit]:hover {
    background-color: #45a049;
}

.container {
    border-radius: 5px;
    background-color: #f2f2f2;
    padding: 20px;
}

.col-25 {
    float: left;
    width: 25%;
    margin-top: 6px;
}

.col-75 {
    float: left;
    width: 75%;
    margin-top: 6px;
}

/* Clear floats after the columns */
.row::after {
    content: "";
    display: table;
    clear: both;
}

/* Responsive layout - when the screen is less than 600px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
    .col-25,
    .col-75,
    input[type=submit] {
        width: 100%;
        margin-top: 0;
    }
}